<script>
	import Options from "@/components/Car/Options.svelte"

	import { isLight } from "@/stores/static"
	import { page } from "$app/stores"
	import { t, locale } from "@/i18n"

	let activeTab = 0

	$: car = $page.data.car

	$: tabs = (() => {
		const result = [ $t("car.desc") ]

		if (car.options?.length) result.push( $t("car.specs") )

		return result
	})()

	$: content = car.body[$locale]
</script>

<div class="tabs" class:dark={!$isLight}>
	<div class="top">
		<ul class="is-flex is-align-items-center is-justify-content-flex-start">
			{#each tabs as tab, i}
				<!-- svelte-ignore a11y-click-events-have-key-events -->
				<li class:active={i === activeTab} on:click={() => activeTab = i}>{tab}</li>
			{/each}
		</ul>
	</div>
	<div class="body">
		{#if activeTab === 0}
			<div class="content">{@html content}</div>
		{:else if activeTab === 1}
			<Options />
		{/if}
	</div>
</div>

<style lang="scss">
	.tabs {
		margin-top: 2.5rem;

		&.dark {
			.top {
				border-color: #434343;
				li.active {
					color: $white;
					background: #434343;
				}
			}

			.content {
				:global(p) {
					color: $white;
				}
			}
		}
	}
	.top {
		padding-bottom: 1rem;
		margin-bottom: 2.5rem;
		border-bottom: 1px solid $gray-dark;
		transition: border-color .2s ease-in-out;

		li {
			font-size: 1.125rem;
			font-weight: 500;
			color: $gray-text;
			padding: 1rem;
			cursor: pointer;
			user-select: none;
			transition: 
				color .2s ease-in-out,
				background .2s ease-in-out;
			&.active {
				color: $black;
				background: $gray;
			}
			&+li {
				margin-left: 1.5rem;
			}
		}
	}

	.content {
		:global(p) {
			font-size: 1.125rem;
			font-weight: 300;
			color: $black;
			transition: color .2s ease-in-out;
		}
		:global(p+p) {
			margin-top: 1rem;
		}
	}
</style>